SETTERM(1)

NOM
setterm - Définir les attributs du terminal

SYNOPSIS
setterm [options]

DESCRIPTION
setterm affiche sur la sortie standard une chaîne de caractères qui invoquera les caractéristiques indiquées du terminal. Quand c'est possible, terminfo est consulté pour découvrir la chaîne à utiliser. Certaines options cependant (référencées par la suite par « consoles virtuelles uniquement ») ne correspondent pas à une caractéristique d'un terminfo(5). Dans ce cas de figure, si le type de terminal est « con » ou « linux » la chaîne affichée est celle qui invoque la caractéristique mentionnée sur la console virtuelle d'un PC MINIX. Les options non implémentées par le terminal sont ignorées.

OPTIONS
Pour les options booléennes (on ou off), la valeur par défaut est on.

Ci-dessous, une valeur 8_couleurs peut être « black », « red », « green », « yellow », « blue », « magenta », « cyan » ou « white ».

Une valeur 16_couleurs peut être une des valeurs 8_couleurs, ou « grey » ou « bright » suivis de « red », « green », « yellow », « blue », « magenta », « cyan » ou « white ».

Les différentes options de couleur peuvent être définies séparément, au moins sur les consoles virtuelles, bien que l'effet de la définition de plusieurs modes (par exemple, --underline et --half-bright) dépende du matériel.

--appcursorkeys [on|off]  (consoles virtuelles uniquement)
    Activer ou désactiver le « Cursor Key Application Mode ». En mode actif (« on »), ESC O A, ESC O B, etc., seront envoyés à la place de ESC [ A, ESC [ B, etc. Les utilisateurs de vi se référeront à la section « vi and Cursor-Keys » du Text-Terminal-HOWTO (en anglais) pour connaître la raison des problèmes que cela peut poser.

--append [numéro_console]
    Identique à --dump, mais ajoute l'aperçu au fichier au lieu de l'écraser. Ne fonctionne que si aucune option --dump n’est donnée.

--background 8_couleurs|default
    Définir la couleur d'arrière-plan du texte.

--blank [0-60|force|poke]  (consoles virtuelles uniquement)
    Définir l'intervalle d'inactivité, en minute, après lequel la console sera éteinte (en utilisant APM s'il est disponible). Sans option, renvoyer l'état de la console (renvoyer la console qui a été éteinte ou zéro pour une console non éteinte).

    L'option force laisse l'écran éteint même si une touche est pressée.

    L'option poke réveille la console.

--bfreq [nombre]  (consoles virtuelles uniquement)
    Définir la fréquence du bip en hertz. Sans paramètre, 0 est utilisé par défaut.

--blength [0-2000]  (consoles virtuelles uniquement)
    Définir la durée du bip en milliseconde. Sans paramètre, 0 est utilisé par défaut.

--blink [on|off]
    Activer ou désactiver le mode clignotant. À part sur une console virtuelle, --blink off désactive tous les attributs (gras, demi-teinte, clignotant, inverse).

--bold [on|off]
    Activer ou désactiver le mode gras (surbrillance). À part sur une console virtuelle, --bold off désactive tous les attributs (gras, teinte, clignotant, inverse).

--clear [all|rest]
    Sans argument, ou avec l’argument all, tout l’écran est nettoyé et le curseur est défini à la position d’origine, comme clear(1) le fait. Avec l’argument rest, l’écran est nettoyé à partir de la position actuelle du curseur jusqu’à la fin.

--clrtabs [tab1 tab2 tab3 ...]  (consoles virtuelles uniquement)
    Effacer les taquets de tabulation horizontale à partir des positions données du curseur, échelonnées de 1 à 160. Sans argument, effacer tous les taquets de tabulation.

--cursor [on|off]
    Activer ou désactiver le curseur.

--default
    Positionner les options de rendu du terminal à leurs valeurs par défaut.

--dump [numéro_console]
    Écrire un aperçu de la console virtuelle avec le numéro donné dans un fichier indiqué par l'option --file, en écrasant son contenu ; par défaut, il s'agit de screen.dump. Sans option, vider la console virtuelle active. Cela remplace --append.

--file fichier
    Définir le nom de fichier de l'aperçu pour les options --dump ou --append sur une même ligne de commande. Si cette option n'est pas présente, screen.dump est écrit dans le répertoire actuel. Un nom de chemin qui dépasse le maximum du système sera tronqué, consultez PATH_MAX dans linux/limits.h pour connaître sa valeur.

--foreground 8_couleurs|default
    Définir la couleur du texte.

--half-bright [on|off]
    Activer ou désactiver le mode sombre (demi-teinte). À part sur une console virtuelle, --half-bright off désactive tous les attributs (gras, demi-teinte, clignotant, inverse).

--hbcolor 16_couleurs
    Définir la couleur des caractères gras.

--initialize
    Afficher la chaîne d'initialisation du terminal, qui définit normalement aux valeurs par défaut les options de rendu du terminal et d'autres attributs.

--inversescreen [on|off]
    Échanger les couleurs de premier plan et d’arrière-plan sur tout l’écran.

--linewrap [on|off]
    Laisser le terminal continuer sur une nouvelle ligne quand une ligne est pleine.

--msg [on|off]  (consoles virtuelles uniquement)
    Activer ou désactiver l'affichage de messages printk() du noyau sur la console.

--msglevel 0-8  (consoles virtuelles uniquement)
    Définir le niveau de journalisation de la console pour les messages printk() du noyau. Tous les messages de niveau strictement plus élevés seront affichés, de telle sorte qu'un niveau 0 aura le même effet que --msg on et qu'un niveau 8 affichera tous les messages du noyau. klogd(8) peut être une interface plus appropriée pour la journalisation des messages du noyau.

--powerdown [0-60]
    Définir l'intervalle d'arrêt du moniteur VESA, en minute. Sans option, la valeur par défaut est 0 (désactiver l'arrêt). Si la console est éteinte ou si le moniteur est en mode suspendu, le moniteur se placera alors respectivement en mode vsync ou en mode powerdown après l'écoulement de la période.

--powersave off
    Désactiver les propriétés de préservation d'énergie du moniteur VESA.

--powersave on|vsync
    Placer le moniteur en mode de suspension VESA vsync.

--powersave powerdown
    Placer le moniteur en mode d’arrêt VESA.

--powersave hsync
    Placer le moniteur en mode suspension VESA hsync.

--regtabs [1-160]  (consoles virtuelles uniquement)
    Effacer tous les taquets de tabulation, puis définir un motif régulier de taquets de tabulation, avec une tabulation toutes les x positions. Sans argument, la valeur par défaut est 8.

--repeat [on|off]  (consoles virtuelles uniquement)
    Activer ou désactiver la répétition de touches du clavier.

--reset
    Afficher la chaîne de restauration du terminal, qui rétablit habituellement le terminal dans son état de démarrage.

--reverse [on|off]
    Activer ou désactiver le mode vidéo inverse. À part sur une console virtuelle, --reverse off désactive tous les attributs (gras, demi-teinte, clignotant, inverse).

--store  (consoles virtuelles uniquement)
    Conserver les options de rendu du terminal actif (couleurs de premier plan et d'arrière-plan) comme celles à utiliser lors d'une restauration des valeurs par défaut.

--tabs [tab1 tab2 tab3 ...]
    Placer des taquets de tabulation horizontale à des positions données du curseur, échelonnées de 1 à 160. Sans argument, afficher les taquets de tabulation actuels.

--term nom_terminal
    Remplacer la variable d'environnement TERM

--ulcolor 16_couleurs  (consoles virtuelles uniquement)
    Définir la couleur des caractères soulignés.

--underline [on|off]
    Activer ou désactiver le mode souligné.

--version
    Afficher les informations sur la version et quitter.

--help
    Afficher un texte d'aide puis quitter.

COMPATIBILITÉ
Depuis la version 2.25, setterm prend en charge les options longues avec deux tirets, par exemple --help, en plus des options longues historiques avec un seul tiret, par exemple -help. Dans les scripts, mieux vaut utiliser un seul tiret au lieu de deux pour être rétrocompatible. Actuellement, arrêter la compatibilité avec un seul tiret n’est pas prévu.

VOIR AUSSI
stty(1), tput(1), tty(4), terminfo(5)

BOGUES
Les différences entre les versions MINIX et Linux ne sont pas documentées.

DISPONIBILITÉ
La commande setterm fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Philippe Piette <foudre-blanche AT skynet DOT be> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.